Skip to content

Cloud Security Assets

The Cloud Security Assets service collection provides operations for querying and retrieving cloud resource data across your environment. Find assets by application resource, retrieve compliance data by account, fetch raw resource details by ID, and query the full asset inventory using FQL filters.

LanguageLast Update
Pythonv1.6.5
PowerShellv2.2.9
Gov0.22.0
TypeScriptv0.6.0
Rustv0.7.1
Rubyv1.4.0


OperationDescription
cloud-security-assets-combined-application-findings
combined_application_findings
Get findings for an application resource with pagination
cloud-security-assets-combined-compliance-by-account
get_combined_compliance_by_account
Gets combined compliance data aggregated by account and region.
cloud-security-assets-entities-get
get_assets
Gets raw resources based on the provided IDs param.
cloud-security-assets-entities-post
cloud_security_assets_entities_post
Gets raw resources based on IDs in the request body.
cloud-security-assets-queries
query_assets
Gets a list of resource IDs for the given parameters, filters and sort criteria

cloud-security-assets-combined-application-findings

Section titled “cloud-security-assets-combined-application-findings”

Get findings for an application resource with pagination

Method GET
Route /cloud-security-assets/combined/application-findings/v1
Scope Cloud Security API Assets: READ
PEP 8 combined_application_findings
crn query · string
Deprecated: Use ‘gcrn’ instead. Application CRN
gcrn query · string
Application GCRN
type query · string
Finding type
filter query · string
FQL string to filter findings.
offset query · integer
Pagination offset
limit query · integer
Page size
sort query · string
Sort expression in the format field|direction (e.g. key|desc), where direction is asc or desc. Sortable fields:
Available values (5)
dependonthe
findingtype
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import CloudSecurityAssets
falcon = CloudSecurityAssets(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.combined_application_findings(crn="string",
gcrn="string",
type="string",
filter="string",
offset=integer,
limit=integer,
sort="string")
print(response)
[
{
"crn": "string",
"finding_type": "string",
"findings": []
}
]


cloud-security-assets-combined-compliance-by-account

Section titled “cloud-security-assets-combined-compliance-by-account”

Gets combined compliance data aggregated by account and region.

Method GET
Route /cloud-security-assets/combined/compliance-controls/by-account-region-and-resource-type/v1
Scope Cloud Security API Assets: READ
PEP 8 get_combined_compliance_by_account
filter query · string
FQL string to filter on asset contents. Filterable fields include: - account_id - account_name - aspm.cloud_account - aspm.cloud_region - aspm.cloud_tag_key - aspm.cloud_tag_value - aspm.cloud_tags - aspm.deployment_provider - assessment_id - business_impact - cloud_group - cloud_label - cloud_label_id - cloud_provider - cloud_scope - compliant - control.benchmark.name - control.benchmark.version - control.extension.status - control.framework - control.name - control.type - control.version - environment - last_evaluated - region - resource_gcrn - resource_provider - resource_type - resource_type_name - service - service_category - severities - tag_key - tag_value - tags_string
Available values (29)
account_idaccount_nameassessment_id
business_impactcloud_groupcloud_label
cloud_label_idcloud_providercloud_scope
compliantcontrol.benchmark.namecontrol.benchmark.version
control.extension.statuscontrol.frameworkcontrol.name
control.typecontrol.versionenvironment
last_evaluatedregionresource_provider
resource_typeresource_type_nameservice
service_categoryseveritiestag_key
tag_valuetags_string
sort query · string
Sort expression in format: field|direction (e.g., last_evaluated|desc). Allowed sort fields: - account_id - account_name - assessment_id - cloud_provider - control.benchmark.name - control.benchmark.version - control.framework - control.name - control.type - control.version - last_evaluated - region - resource_counts.compliant - resource_counts.non_compliant - resource_counts.total - resource_provider - resource_type - resource_type_name - service - service_category
Available values (20)
account_idaccount_nameassessment_id
cloud_providercontrol.benchmark.namecontrol.benchmark.version
control.frameworkcontrol.namecontrol.type
control.versionlast_evaluatedregion
resource_counts.compliantresource_counts.non_compliantresource_counts.total
resource_providerresource_typeresource_type_name
serviceservice_category
limit query · integer
The maximum number of items to return. When not specified or 0, 20 is used. When larger than 10000, 10000 is used.
offset query · integer
Offset returned controls. Use only one of ‘offset’ and ‘after’ parameter for paginating. ‘offset’ can only be used on offsets < 10,000. For paginating through the entire result set, use ‘after’ parameter
after query · string
token-based pagination. use for paginating through an entire result set. Use only one of:
Available values (6)
offsetandafter
parametersforpaginating
include_failing_iom_severity_counts query · boolean
Include counts of failing IOMs by severity level
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import CloudSecurityAssets
falcon = CloudSecurityAssets(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.get_combined_compliance_by_account(filter="string",
sort="string",
limit=integer,
offset=integer,
after="string",
include_failing_iom_severity_counts=boolean)
print(response)
[
{
"account_id": "string",
"account_name": "string",
"assessment_id": "string",
"cloud_groups": [],
"cloud_groups_v2": [],
"cloud_labels": [],
"cloud_provider": "string",
"control": {},
"gcrn": "string",
"groups": [],
"last_evaluated": "string",
"region": "string",
"resource_counts": {},
"resource_provider": "string",
"resource_type": "string",
"resource_type_name": "string",
"rules": [],
"service": "string",
"service_category": "string",
"severities": [],
"tags": {}
}
]


Gets raw resources based on the provided IDs param.

Method GET
Route /cloud-security-assets/entities/resources/v1
Scope Cloud Security API Assets: READ
PEP 8 get_assets
ids query · string or list of strings
List of assets to return (maximum 100 IDs allowed). Use POST method with same path if more entities are required.
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import CloudSecurityAssets
falcon = CloudSecurityAssets(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.get_assets(ids=id_list)
print(response)
[
{
"account_id": "string",
"account_name": "string",
"active": false,
"arn": "string",
"category": "string",
"cid": "string",
"cloud_context": {},
"cloud_groups": [],
"cloud_groups_v2": [],
"cloud_labels": [],
"cloud_provider": "string",
"cluster_id": "string",
"cluster_name": "string",
"compartment_name": "string",
"compartment_ocid": "string",
"compartment_path": "string",
"configuration": {},
"configuration_metadata": {},
"creation_time": "string",
"first_seen": "string",
"gcrn": "string",
"groups": [],
"hash": "string",
"id": "string",
"location": "string",
"organization_id": "string",
"parent": "string",
"project_id": "string",
"project_number": "string",
"region": "string",
"relationships": [],
"resource_group": "string",
"resource_id": "string",
"resource_name": "string",
"resource_number": "string",
"resource_type": "string",
"resource_type_name": "string",
"resource_url": "string",
"revision": 0,
"service": "string",
"service_category": "string",
"status": "string",
"subscription_id": "string",
"supplementary_configuration": {},
"tags": {},
"tenancy_name": "string",
"tenancy_ocid": "string",
"tenancy_type": "string",
"tenant_id": "string",
"updated_at": "string",
"zone": "string",
"zones": []
}
]


Gets raw resources based on IDs in the request body.

Method POST
Route /cloud-security-assets/entities/resources/v1
Scope Cloud Security API Assets: READ
PEP 8 cloud_security_assets_entities_post
body body · dictionary
Full body payload as JSON formatted dictionary.
ids body · array
The ids value.
from falconpy import CloudSecurityAssets
falcon = CloudSecurityAssets(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
id_list = 'ID1,ID2,ID3' # Can also pass a list here: ['ID1', 'ID2', 'ID3']
response = falcon.cloud_security_assets_entities_post(ids=id_list)
print(response)
[
{
"account_id": "string",
"account_name": "string",
"active": false,
"arn": "string",
"category": "string",
"cid": "string",
"cloud_context": {},
"cloud_groups": [],
"cloud_groups_v2": [],
"cloud_labels": [],
"cloud_provider": "string",
"cluster_id": "string",
"cluster_name": "string",
"compartment_name": "string",
"compartment_ocid": "string",
"compartment_path": "string",
"configuration": {},
"configuration_metadata": {},
"creation_time": "string",
"first_seen": "string",
"gcrn": "string",
"groups": [],
"hash": "string",
"id": "string",
"location": "string",
"organization_id": "string",
"parent": "string",
"project_id": "string",
"project_number": "string",
"region": "string",
"relationships": [],
"resource_group": "string",
"resource_id": "string",
"resource_name": "string",
"resource_number": "string",
"resource_type": "string",
"resource_type_name": "string",
"resource_url": "string",
"revision": 0,
"service": "string",
"service_category": "string",
"status": "string",
"subscription_id": "string",
"supplementary_configuration": {},
"tags": {},
"tenancy_name": "string",
"tenancy_ocid": "string",
"tenancy_type": "string",
"tenant_id": "string",
"updated_at": "string",
"zone": "string",
"zones": []
}
]


Gets a list of resource IDs for the given parameters, filters and sort criteria

Method GET
Route /cloud-security-assets/queries/resources/v1
Scope Cloud Security API Assets: READ
PEP 8 query_assets
after query · string
token-based pagination. use for paginating through an entire result set. Use only one of:
Available values (6)
offsetandafter
parametersforpaginating
filter query · string
FQL string to filter on asset contents. Filterable fields include: - account_bitmap_token_64 - account_id - account_name - active - application_name - aspm.cloud_account - aspm.cloud_region - aspm.cloud_tag_key - aspm.cloud_tag_value - aspm.cloud_tags - aspm.deployment_cloud_resource_id - aspm.deployment_provider - aspm.deployment_type - aspm.technologies - azure.resource_group - azure.vm_id - business_impact - cloud_group - cloud_label - cloud_label_id - cloud_provider - cloud_risks.rule - cloud_risks.severity - cloud_risks.status - cloud_scope - cluster_id - cluster_name - compartment_ocid - compliant.benchmark_name - compliant.benchmark_version - compliant.framework - compliant.policy_id - compliant.requirement - compliant.rule - compliant.section - configuration.id - control.benchmark.name - control.benchmark.version - control.framework - control.requirement - control.type - control.version - creation_time - cve_ids - data_classifications.found - data_classifications.label - data_classifications.label_id - data_classifications.scanned - data_classifications.tag - data_classifications.tag_id - environment - exprt_ratings - first_seen - gcp.multi_region - gcp.physical_region - highest_severity - id - insights.boolean_value - insights.date_value - insights.id - insights.integer_value - insights.string_list_value - insights.string_value - instance_id - instance_state - ioa_count - iom_count - legacy_resource_id - legacy_uuid - managed_by - non_compliant.benchmark_name - non_compliant.benchmark_version - non_compliant.framework - non_compliant.policy_id - non_compliant.requirement - non_compliant.rule - non_compliant.rule_name - non_compliant.section - non_compliant.severity - organization_Id - os_version - platform_name - publicly_exposed - region - resource_gcrn - resource_id - resource_name - resource_parent - resource_type - resource_type_name - sensor_priority - service - service_category - severity - snapshot_detections - ssm_managed - status - tag_key - tag_value - tags - tags_string - tenant_id - updated_at - vmware.guest_os_id - vmware.guest_os_version - vmware.host_system_name - vmware.host_type - vmware.instance_uuid - vmware.vm_host_name - vmware.vm_tools_status - zone
Available values (99)
account_idaccount_nameactive
aspm.deployment_cloud_resource_idaspm.deployment_provideraspm.deployment_type
aspm.technologiesazure.vm_idbusiness_impact
cloud_groupcloud_labelcloud_label_id
cloud_providercloud_risks.rulecloud_risks.severity
cloud_risks.statuscloud_scopecluster_id
cluster_namecompartment_ocidcompliant.benchmark_name
compliant.benchmark_versioncompliant.frameworkcompliant.policy_id
compliant.requirementcompliant.rulecompliant.section
configuration.idcontrol.benchmark.namecontrol.benchmark.version
control.frameworkcontrol.requirementcontrol.type
control.versioncreation_timecve_ids
data_classifications.founddata_classifications.labeldata_classifications.label_id
data_classifications.scanneddata_classifications.tagdata_classifications.tag_id
environmentexprt_ratingsfirst_seen
highest_severityidinsights.boolean_value
insights.date_valueinsights.idinsights.integer_value
insights.string_list_valueinsights.string_valueinstance_id
instance_stateioa_countiom_count
legacy_resource_idlegacy_uuidmanaged_by
non_compliant.benchmark_namenon_compliant.benchmark_versionnon_compliant.framework
non_compliant.policy_idnon_compliant.requirementnon_compliant.rule
non_compliant.rule_namenon_compliant.sectionnon_compliant.severity
os_versionplatform_namepublicly_exposed
regionresource_idresource_name
resource_parentresource_typeresource_type_name
sensor_priorityserviceservice_category
severitysnapshot_detectionsssm_managed
statustag_keytag_value
tagstags_stringtenant_id
updated_atvmware.guest_os_idvmware.guest_os_version
vmware.host_system_namevmware.host_typevmware.instance_uuid
vmware.vm_host_namevmware.vm_tools_statuszone
sort query · string
The field to sort on. Sortable fields include:
Available values (55)
account_idaccount_nameactive
aspm.deployment_cloud_resource_idaspm.deployment_provideraspm.deployment_type
aspm.exprt_ratingaspm.technologiescloud_provider
cloud_risks.open_risk_countcluster_idcluster_name
compartment_namecompartment_ocidcompartment_path
creation_timedata_classifications.founddata_classifications.scanned
first_seenidinstance_id
instance_stateioa_countiom_count
managed_byorganization_Idos_version
platform_namepublicly_exposedregion
resource_idresource_nameresource_parent
resource_typeresource_type_nameservice
service_categoryssm_managedstatus
tenancy_nametenancy_ocidtenancy_type
tenant_idupdated_atvmware.guest_os_id
vmware.guest_os_versionvmware.host_system_namevmware.host_type
vmware.instance_uuidvmware.vm_host_namevmware.vm_tools_status
zonepubliclyExposedToTheInternetpubliclyExposedAccessRange
publiclyExposedExposureMethod
limit query · integer
The maximum number of items to return. When not specified or 0, 500 is used. When larger than 1000, 1000 is used.
offset query · integer
Offset returned assets. Use only one of ‘offset’ and ‘after’ parameter for paginating. ‘offset’ can only be used on offsets < 10,000. For paginating through the entire result set, use ‘after’ parameter
parameters query · dictionary
Full query string parameters payload in JSON format. Not required when using other keywords.
from falconpy import CloudSecurityAssets
falcon = CloudSecurityAssets(client_id=CLIENT_ID,
client_secret=CLIENT_SECRET
)
response = falcon.query_assets(after="string",
filter="string",
sort="string",
limit=integer,
offset=integer)
print(response)
[
"string"
]